This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032531 - "Authentication required by wireless network" dialog
"Authentication required by wireless network" dialog
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 06:08 EST by Fabrice Bellet
Modified: 2015-06-29 09:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:03:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2013-11-20 06:08:53 EST
Hi!

In a GNOME default configuration:

 - where gdm is customized to autologin a particular user
 - the default keyring of this user has a blank password so it is automatically unlocked at startup
 - the password required to activate a wireless connection is available in the keyring, correctly defined with nm-connection-editor or gnome-control-center network, and visible with seahorse
 - Network-Manager is configured to ask the password to the network agent, confirmed by the 802-1x.password-flags property of this connection: value=1 meaning agent-owned
 - Network-Manager is configured to automatically connect using this connection setup.

The dialog "Authentication required by wireless network" still appears at login time, with the username and password pre-filled, and validating this dialog is a requirement for the connection to successfully complete.

Changing the connection password-flags value to zero, so the password is stored in the network-manager system-connections config file, instead of the user's keyring is a possible workaround, but editing this connection again with nm-connection-editor at a later time will revert this tweak to its default value (agent-owned).

I think gnome-shell's network agent shouldn't request the password in this case, as it has all the available information to not do it.
Comment 1 Florian Müllner 2013-11-20 08:39:38 EST
The network agent should only pop up a dialog when requested by NetworkManager via DBus, so this might rather be an nm issue. Dan?
Comment 2 marianne@tuxette.fr 2013-11-21 03:21:08 EST
Hi, 

Same here 
fedora 20 x86_64 up-to-date 

(except I don't have autologin with a blank password but a classic user who enter a password at login)
Comment 3 James 2014-01-08 09:16:25 EST
I can confirm this also in the case with a normal password-protected user account, and a simple WPA2-PSK Wi-Fi connection configured through nm-connection-editor to NOT be available to other users (i.e., secret stored only in login keyring). I'm presented with a "Authentication required by wireless network" box every time I attempt to connect (with the correct password is already filled in).
Comment 4 Fedora End Of Life 2015-05-29 05:48:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 09:03:13 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.